:root {
	--bg: #282828;
	--fg: #ebdbb2;
	--active-bg: #3c3836;
	--faint-fg: #a89984;
}

@font-face {
	font-family: "PlayFairDisplay";
	src: url('assets/fonts/PlayfairDisplay-VariableFont_wght.ttf');
}

* {
	box-sizing: border-box;
}

body {
	background: var(--bg);
	color: var(--fg);
	font-family: 'PlayFairDisplay';
	padding: 0;
	margin: 0;
	display: grid;
	grid-template-columns: auto;
}

figure {
	max-width: 500px;
	min-width: 100%;
	margin: auto;
}

figure img {
	width: 100%;
}

figure figcaption {
	text-align: center;
}

.article {
	margin: auto;
	padding: 50px;
	padding-top: 0px;
	max-width: 1000px;
	width: 100%;
}

.article-list {
	display: grid;
	margin: 10px auto;
	width: 80%;
}

a.article-link {
	text-decoration: none;
	font-size: 1.2em;
	padding: 20px;
	background: var(--active-bg);
	color: var(--fg);
	border-radius: 2px;
	margin: 10px;
	width: 100%;
}

.menu {
	display: flex;
	grid-template-columns: auto min-content;
	background: var(--active-bg);
	margin: 0;
}


.header {
	display: flex;
	flex-direction: row;
	flex-wrap: nowrap;
	color: var(--fg);
	background-color: var(--active-bg);
	text-decoration: none;
	font-size: 1.2em;
	font-weight: bold;
	padding: 20px;
}

.header .back {
	border-left: 4px solid var(--fg);
	border-bottom: 4px solid var(--fg);
	border-bottom-left-radius: 5px;
	width: 15px;
	height: 15px;
	margin: auto 0px;
	margin-right: 10px;
	transform: rotate(45deg);
}

.article .date-title {
	display: grid;
	grid-template-columns: auto min-content;
	margin-top: 25px;
}

.date {
	color: var(--faint-fg);
	margin: auto auto;
}

a {
	color: var(--fg);
}

.overview {
	min-height: calc(100vh - 185px)
}

.footer {
	background: var(--active-bg);
	color: var(--faint-fg);
	padding: 20px;
	bottom: 0px;
}

.footer .contact {
	display: grid;
	grid-template-columns: 100px auto;
	margin-top: 10px;
}

.footer .contact .url {
	color: var(--fg);
}
